<div class="container-fluid text-center">    
  <div class="row content">
    <div class="col-sm-1">
    </div>
    
    <div class="col-sm-10 text-left">
    
      <% if current_user.admin? %>
        <div class="row col-12">
          <div class="col-12 col-md-12">
            <%= form_tag('/sale/0/upload', method: :upload, id: 'file_form') do %>
              <div class="form-group">
                <input class="col-xs-4" type="file" class="form-control-file" id="fileTab">
                <input class="input col-xs-4" type="hidden" name="sale[tab]" id="tab">
                <button type="submit" class="btn btn-primary">Submit</button>
              </div>
            <% end %>
          </div>
        </div>
      

        <!-- Columns start at 50% wide on mobile and bump up to 33.3% wide on desktop -->
        <div class="row col-12">
          <div class="col-12 col-md-12 form-inline">
            <%= form_tag('/sale', method: :create, id: 'sale_form') do %>
              <select class="form-control col-3" id="purchaser_id" name="sale[purchaser_id]">
                <% @purchasers.each do |purchaser| %>
                    <option value = <%= purchaser.id %>> 
                        <%= purchaser.name %>
                    </option>
                <% end %>
              </select>
              <input class="form-control col-3" placeholder="Item Description" type="text" name="sale[item_attributes[description]]" id="sale_item_description" required>
              <input class="form-control col-3" placeholder="Item Price" type="text" name="sale[item_attributes[price]]" id="sale_item_price" required>
              <select class="form-control col-3" id="merchant_id" name="sale[merchant_id]">
                <% @merchants.each do |merchant| %>
                    <option value = <%= merchant.id %>> 
                        <%= merchant.name %>
                    </option>
                <% end %>
              </select>
              <button type="submit" class="btn btn-primary">Submit</button>
            <% end %>
          </div>
        </div>
      <% end %>
      <hr>
      <!-- Columns are always 50% wide, on mobile and desktop -->
      <div class="row">
        <div class="col-12">
          <table id="dtBasicExample" class="table table-striped table-bordered table-sm" cellspacing="0" width="100%">
            <thead>
              <tr>
                <th class="th-sm">Purchaser Name
                </th>
                <th class="th-sm">Item Description
                </th>
                <th class="th-sm">Item Price
                </th>
                <th class="th-sm">Purchase Count
                </th>
                <th class="th-sm">Merchant Name
                </th>
                <th class="th-sm">Merchant Address
                </th>
                <th class="th-sm">Date
                </th>
              </tr>
            </thead>
            <tbody>
              <% @sales.each do |s| %>
                <tr>
                  <td><%= s.purchaser.name %></td>
                  <td><%= s.item.description %></td>
                  <td><%= s.item.price %></td>
                  <td><%= s.purchaser.count %></td>
                  <td><%= s.merchant.name %></td>
                  <td><%= s.merchant.address %></td>
                  <td><%= s.created_at.strftime("%d/%m/%Y %H:%M:%S") %></td>
                </tr>
              <% end %>
          </table>
        </div>
      </div>
    </div>
    <div class="col-sm-1">
    </div>
  </div>
</div>